%define aprver 1

# Arches on which the multilib apr.h hack is needed:
%define multilib_arches %{ix86} ia64 x86_64

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Apache Portable Runtime library
Name: 		apr
Version: 	1.4.2
Release: 	2
License: 	ASL 2.0
Group: 		System/Libraries
URL: 		http://apr.apache.org/
Source0: 	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
Source1: 	apr-wrapper.h
Patch1: 	apr-0.9.6-readdir64.patch
Patch2: 	apr-0.9.7-deepbind.patch
Patch3: 	apr-1.2.2-locktimeout.patch
Patch4: 	apr-1.2.2-libdir.patch
Patch5: 	apr-1.2.7-pkgconf.patch
Patch6: 	apr-1.2.7-psprintfpi.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686
BuildRequires: 	autoconf, libtool, e2fsprogs-devel, python26-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config
BuildRequires: util-linux-ng

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines, forming a system
portability layer to as many operating systems as possible,
including Unices, MS Win32, BeOS and OS/2.

%package devel
Group: 		Development/Libraries
Summary: 	APR library development kit
Conflicts: 	subversion-devel < 0.20.1-2
Requires: 	apr = %{version}-%{release}, pkgconfig

%description devel
This package provides the support files which can be used to 
build applications using the APR library.  The mission of the
Apache Portable Runtime (APR) is to provide a free library of 
C data structures and routines.

%prep
%setup -q
#%patch1 -p1 -b .readdir64
#%patch2 -p1 -b .deepbind
#%patch3 -p1 -b .locktimeout
#%patch4 -p1 -b .libdir
#%patch5 -p1 -b .pkgconf
#%patch6 -p1 -b .psprintfpi

%build
# regenerate configure script etc.
#./buildconf

# Forcibly prevent detection of shm_open (which then picks up but
# does not use -lrt).
export ac_cv_search_shm_open=no

%configure \
        --includedir=%{_includedir}/apr-%{aprver} \
        --with-installbuilddir=%{_libdir}/apr-%{aprver}/build \
        --with-devrandom=/dev/urandom \
	--enable-threads 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Trim exported dependecies
sed -ri '/^dependency_libs/{s,-l(uuid|crypt) ,,g}' \
      $RPM_BUILD_ROOT%{_libdir}/libapr*.la
sed -ri '/^LIBS=/{s,-l(uuid|crypt) ,,g;s/  */ /g}' \
      $RPM_BUILD_ROOT%{_bindir}/apr-%{aprver}-config

%ifarch %{multilib_arches}
# Ugly hack to allow parallel installation of 32-bit and 64-bit apr-devel 
# packages:
mv $RPM_BUILD_ROOT%{_includedir}/apr-%{aprver}/apr.h \
   $RPM_BUILD_ROOT%{_includedir}/apr-%{aprver}/apr-%{_arch}.h
install -c -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_includedir}/apr-%{aprver}/apr.h
%endif

# Unpackaged files:
rm -f $RPM_BUILD_ROOT%{_libdir}/apr.exp \
      $RPM_BUILD_ROOT%{_libdir}/libapr-*.a

%check
# Fail if LFS support isn't present in a 32-bit build, since this
# breaks ABI and the soname doesn't change: see #254241
if grep 'define SIZEOF_VOIDP 4' include/apr.h \
   && ! grep off64_t include/apr.h; then
  cat config.log
  : LFS support not present in 32-bit build
  exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/libapr-%{aprver}.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/APRDesign.html docs/canonical_filenames.html
%doc docs/incomplete_types docs/non_apr_programs
%{_bindir}/apr-%{aprver}-config
%{_libdir}/libapr-%{aprver}.*a
%{_libdir}/libapr-%{aprver}.so
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/apr-%{aprver}
%dir %{_libdir}/apr-%{aprver}/build
%{_libdir}/apr-%{aprver}/build/*
%dir %{_includedir}/apr-%{aprver}
%{_includedir}/apr-%{aprver}/*.h

%changelog
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-2
- fixed wrapper include file
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Version update
* Mon Jan 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.12-2
- rebuild against gcc 4.1.2
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 1.2.12-1
- Initial release
